# (c) Copyright 2020 Hewlett Packard Enterprise Development LP
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software distributed
# under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
# CONDITIONS OF ANY KIND, either express or implied. See the License for the
# specific language governing permissions and limitations under the License.

module OneviewCookbook
  module API1800
    module C7000
      # EthernetNetworkProvider API1800 C7000 provider
      class EthernetNetworkProvider < API1600::C7000::EthernetNetworkProvider
        def delete_bulk
          ['type', 'ethernetNetworkType', 'name'].each { |k| @item.data.delete(k) }
          resource_named(:EthernetNetwork).bulk_delete(@item.client, @item.data)
          Chef::Log.info 'BULK DELETED ETHERNET NETWORKS SUCCESSFULLY'
        end
      end
    end
  end
end
